# Get project reports.

Returns a collection of reports created in a DrillPlan project.   
The user must be a member of the project to be able to enumerate the reports.

Endpoint: GET /v2/projects/{projectId}/reports
Version: 2.1.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

## Path parameters:

  - `projectId` (string, required)
    Identifier of the project.

## Query parameters:

  - `name` (string)
    Report name to search for using exact match.

## Header parameters:

  - `slb-data-partition-id` (string, required)
    Data partition ID.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `reports` (array, required)

  - `reports.id` (string, required)
    The report ID.

  - `reports.project_id` (string, required)
    The project ID.

  - `reports.name` (string, required)
    The report name.

  - `reports.template` (object, required)
    The report template.

  - `reports.template.name` (string, required)
    The report template name.

  - `reports.plan` (object, required)
    Reference to the plan associated with a report.

  - `reports.plan.id` (string, required)
    The plan ID.

  - `reports.last_update` (object)
    Represents information on the last successful report update.

  - `reports.last_update.started` (string, required)
    The timestamp of the last successful update start.

  - `reports.last_update.ended` (string, required)
    The timestamp of the last successful update end.

  - `reports.audit_status` (string, required)
    The audit status.
    Enum: "InProgress", "InReview", "InApproval", "Completed", "Rejected"

  - `reports.editor_link` (string, required)
    The location of the report in DrillPlan to view.

## Response 401:

  - `401` (unknown)
    User is not authorized.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response 404:

  - `404` (unknown)
    Resource not found.

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response 500:

  - `500` (unknown)
    Internal server error.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response default:

  - `default` (unknown)
    Unexpected error.

## Response default fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

